Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.launcher
Class Uninstaller

    java.lang.Object
      com.install4j.api.CustomAction
          com.install4j.api.UninstallAction
              org.jivesoftware.openfire.launcher.Uninstaller

    public class Uninstaller

extends com.install4j.api.UninstallAction

Used with the Install4J installer to uninstall the remaining files within the Openfire install.

Constructor Summary
`Uninstaller()`

Method Summary
`int` | `getPercentOfTotalInstallation()`
`boolean` | `performAction(com.install4j.api.Context context, com.install4j.api.ProgressInterface progressInterface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Uninstaller

    public Uninstaller()

Method Detail

### getPercentOfTotalInstallation

    public int getPercentOfTotalInstallation()

  Specified by:
    `getPercentOfTotalInstallation` in class `com.install4j.api.CustomAction`

### performAction

    public boolean performAction(com.install4j.api.Context context,
                                 com.install4j.api.ProgressInterface progressInterface)

  Overrides:
    `performAction` in class `com.install4j.api.UninstallAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.